Update a RICAL signer
Updates a RICAL signer by:
- Providing a RICAL Signer Certificate in PEM format that matches its Certificate Signing Request (CSR).
- Activating or deactivating the RICAL signer. Only RICAL signers with a valid
certificatePemcan be activated. - The
certificatePemfield becomes immutable after it's updated for the first time.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>ricalSignerId*stringUnique identifier of the RICAL signer.
uuidapplication/json- body
active*booleanIndicates if the RICAL signer is active. Only active RICAL signers can be used to sign RICALs.
certificatePem?stringRICAL Signer Certificate in PEM format.
- Must match the Certificate Signing Request (CSR) issued for this RICAL signer.
- Must be signed by the same DTS root CA (or DTS intermediate CA) specified when the RICAL signer was created.
RICAL signer updated
application/json- response
RICAL signer after a RICAL Signer Certificate has been uploaded. Includes the uploaded certificate in PEM format, as well as the certificate's fingerprint and data.
id*stringEach RICAL signer will have a unique identifier which must be provided when using this RICAL signer to sign a RICAL.
uuidactive*booleanIndicates if the RICAL signer is active. Only active RICAL signers can be used to sign RICALs.
certificatePem*stringRICAL Signer Certificate in PEM format.
certificateFingerprint*stringSHA-256 hash of the certificate content, including all certificate data and its signature.
certificateData*curl -X PUT "https://example.com/v1/ecosystems/certificates/rical-signers/123e4567-e89b-12d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z" }}How would you rate this page?
Retrieve a RICAL signer GET
Retrieves a RICAL signer.
Delete a RICAL signer DELETE
Deletes a RICAL signer. Deleting a RICAL signer does not affect any RICALs it has already signed — those remain valid. It only means this signer can no longer be used to sign new RICALs. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout>